{% extends "attributes.j2" %}
{% block attributes_methods %}
{% for attribute in attributes %}
{%      if attribute.type == 'diags' %}
    def read_{{attribute.name}}(self, attr):
        self.read_Attribute(attr, '{{attribute.name}}')

{%      else %}
    def read_{{attribute.name}}(self, attr):
        ret_value = self.read_Attribute(attr, '{{attribute.name}}')

{%          if attribute.access == "read_write" %}
    def write_{{attribute.name}}(self, attr):
        self.write_Attribute(attr, '{{attribute.name}}')        
        self.read_{{attribute.name}}(attr)

{%          endif %}

{%      endif %}
    def is_{{attribute.name}}_allowed(self, attr):
        return self.is_Attribute_allowed(attr, '{{attribute.name}}')

{% endfor %}
{% endblock %}


